> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Entitys

> Retrieve a list of custom entitys



## OpenAPI

````yaml get /custom_entity
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /custom_entity:
    get:
      tags:
        - Custom Entity
      summary: List Custom Entitys
      description: Retrieve a list of custom entitys
      parameters:
        - name: id
          in: query
          description: Entity ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: custom_entity_definition_id
          in: query
          description: Custom entity definition ID
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: data
          in: query
          description: Entity data matching the custom entity definition schema
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `created_at`, `updated_at`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/custom_entity'
components:
  schemas:
    custom_entity:
      type: object
      properties:
        id:
          type: string
          description: Entity ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        custom_entity_definition_id:
          type: string
          description: Custom entity definition ID
          format: uuid
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        data:
          type: object
          description: Entity data matching the custom entity definition schema
          format: jsonb
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````